# MoveChargePhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class MoveChargePhase

Phase for the "charging turn" of two-turn moves (e.g. Dig).

#### Hierarchy (View Summary)

- PokemonPhase
  - MoveChargePhase

- Defined in src/phases/move-charge-phase.ts:18

##### Index

### Constructors

constructor

### Properties

battlerIndex
fieldIndex
move
player
targetIndex

### Methods

end
executeForAll
getPokemon
getTargetPokemon
getUserPokemon
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new MoveChargePhase(
  battlerIndex: BattlerIndex ,
  targetIndex: BattlerIndex ,
  move: PokemonMove ,
  ): MoveChargePhase

  #### Parameters

  - battlerIndex: BattlerIndex
  - targetIndex: BattlerIndex
  - move: PokemonMove

  #### Returns MoveChargePhase

  Overrides PokemonPhase.constructor

  - Defined in src/phases/move-charge-phase.ts:24

## Properties

### `Protected` battlerIndex

battlerIndex: number

Inherited from PokemonPhase.battlerIndex

- Defined in src/phases/pokemon-phase.ts:7

### fieldIndex

fieldIndex: number

Inherited from PokemonPhase.fieldIndex

- Defined in src/phases/pokemon-phase.ts:9

### move

move: PokemonMove

The move instance that this phase applies

- Defined in src/phases/move-charge-phase.ts:20

### player

player: boolean

Inherited from PokemonPhase.player

- Defined in src/phases/pokemon-phase.ts:8

### targetIndex

targetIndex: BattlerIndex

The field index targeted by the move (Charging moves assume single target)

- Defined in src/phases/move-charge-phase.ts:22

## Methods

### end

- end(): void

  Checks the move's instant charge conditions, then ends this phase.

  #### Returns void

  Overrides PokemonPhase.end

  - Defined in src/phases/move-charge-phase.ts:54

### executeForAll

- executeForAll(func: PokemonFunc): void

  #### Parameters

  - func: PokemonFunc

  #### Returns void

  Inherited from PokemonPhase.executeForAll

  - Defined in src/phases/field-phase.ts:8

### getPokemon

- getPokemon(): default

  #### Returns default

  Inherited from PokemonPhase.getPokemon

  - Defined in src/phases/pokemon-phase.ts:26

### getTargetPokemon

- getTargetPokemon(): undefined | default

  #### Returns undefined | default

  - Defined in src/phases/move-charge-phase.ts:86

### getUserPokemon

- getUserPokemon(): default

  #### Returns default

  - Defined in src/phases/move-charge-phase.ts:82

### hideEnemyTrainer

- hideEnemyTrainer(): void

  #### Returns void

  Inherited from PokemonPhase.hideEnemyTrainer

  - Defined in src/phases/battle-phase.ts:37

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?: TrainerSlot ): void

  #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from PokemonPhase.showEnemyTrainer

  - Defined in src/phases/battle-phase.ts:10

### start

- start(): void

  #### Returns void

  Overrides PokemonPhase.start

  - Defined in src/phases/move-charge-phase.ts:30